{config, ...}: {
  config.programs.firefox = {
    enable = true;

    profiles.kristian = {
      isDefault = true;
      search.default = "DuckDuckGo";
      search.force = true;

      extensions = with config.nur.repos.rycee.firefox-addons; [
        ublock-origin
        umatrix
        sponsorblock
        sidebery
      ];

      settings = {
        "extensions.pocket.enabled" = false;
        "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
      };
    };
  };
}
